## org.eclipse.uml2.uml
Enum PseudostateKind

    java.lang.Object
      java.lang.Enum<PseudostateKind>
          org.eclipse.uml2.uml.PseudostateKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PseudostateKind>, org.eclipse.emf.common.util.Enumerator

    public enum PseudostateKind

extends java.lang.Enum<PseudostateKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Pseudostate Kind', and utility methods for working with them. PseudostateKind is an enumeration type.

See Also:
  `UMLPackage.getPseudostateKind()`

Enum Constant Summary
`CHOICE_LITERAL` The 'Choice' literal object
`DEEP_HISTORY_LITERAL` The 'Deep History' literal object
`ENTRY_POINT_LITERAL` The 'Entry Point' literal object
`EXIT_POINT_LITERAL` The 'Exit Point' literal object
`FORK_LITERAL` The 'Fork' literal object
`INITIAL_LITERAL` The 'Initial' literal object
`JOIN_LITERAL` The 'Join' literal object
`JUNCTION_LITERAL` The 'Junction' literal object
`SHALLOW_HISTORY_LITERAL` The 'Shallow History' literal object
`TERMINATE_LITERAL` The 'Terminate' literal object

Field Summary
`static int` `CHOICE` The 'Choice' literal value
`static int` `DEEP_HISTORY` The 'Deep History' literal value
`static int` `ENTRY_POINT` The 'Entry Point' literal value
`static int` `EXIT_POINT` The 'Exit Point' literal value
`static int` `FORK` The 'Fork' literal value
`static int` `INITIAL` The 'Initial' literal value
`static int` `JOIN` The 'Join' literal value
`static int` `JUNCTION` The 'Junction' literal value
`static int` `SHALLOW_HISTORY` The 'Shallow History' literal value
`static int` `TERMINATE` The 'Terminate' literal value
`static java.util.List<PseudostateKind>` `VALUES` A public read-only list of all the 'Pseudostate Kind' enumerators

Method Summary
`static PseudostateKind` `get(int value)` Returns the 'Pseudostate Kind' literal with the specified integer value
`static PseudostateKind` `get(java.lang.String literal)` Returns the 'Pseudostate Kind' literal with the specified literal value
`static PseudostateKind` `getByName(java.lang.String name)` Returns the 'Pseudostate Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static PseudostateKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PseudostateKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIAL_LITERAL

    public static final PseudostateKind INITIAL_LITERAL

  The 'Initial' literal object.

  See Also:
    `INITIAL`

### DEEP_HISTORY_LITERAL

    public static final PseudostateKind DEEP_HISTORY_LITERAL

  The 'Deep History' literal object.

  See Also:
    `DEEP_HISTORY`

### SHALLOW_HISTORY_LITERAL

    public static final PseudostateKind SHALLOW_HISTORY_LITERAL

  The 'Shallow History' literal object.

  See Also:
    `SHALLOW_HISTORY`

### JOIN_LITERAL

    public static final PseudostateKind JOIN_LITERAL

  The 'Join' literal object.

  See Also:
    `JOIN`

### FORK_LITERAL

    public static final PseudostateKind FORK_LITERAL

  The 'Fork' literal object.

  See Also:
    `FORK`

### JUNCTION_LITERAL

    public static final PseudostateKind JUNCTION_LITERAL

  The 'Junction' literal object.

  See Also:
    `JUNCTION`

### CHOICE_LITERAL

    public static final PseudostateKind CHOICE_LITERAL

  The 'Choice' literal object.

  See Also:
    `CHOICE`

### ENTRY_POINT_LITERAL

    public static final PseudostateKind ENTRY_POINT_LITERAL

  The 'Entry Point' literal object.

  See Also:
    `ENTRY_POINT`

### EXIT_POINT_LITERAL

    public static final PseudostateKind EXIT_POINT_LITERAL

  The 'Exit Point' literal object.

  See Also:
    `EXIT_POINT`

### TERMINATE_LITERAL

    public static final PseudostateKind TERMINATE_LITERAL

  The 'Terminate' literal object.

  See Also:
    `TERMINATE`

Field Detail

### INITIAL

    public static final int INITIAL

  The 'Initial' literal value. An initial pseudostate represents a default vertex that is the source for a single transition to the default state of a composite state. There can be at most one initial vertex in a region. The outgoing transition from the initial vertex may have a behavior, but not a trigger or guard.

  See Also:
    `INITIAL_LITERAL`, Constant Field Values

### DEEP_HISTORY

    public static final int DEEP_HISTORY

  The 'Deep History' literal value. DeepHistory represents the most recent active configuration of the composite state that directly contains this pseudostate; e.g. the state configuration that was active when the composite state was last exited. A composite state can have at most one deep history vertex. At most one transition may originate from the history connector to the default deep history state. This transition is taken in case the composite state had never been active before. Entry actions of states entered on the path to the state represented by a deep history are performed.

  See Also:
    `DEEP_HISTORY_LITERAL`, Constant Field Values

### SHALLOW_HISTORY

    public static final int SHALLOW_HISTORY

  The 'Shallow History' literal value. ShallowHistory represents the most recent active substate of its containing state (but not the substates of that substate). A composite state can have at most one shallow history vertex. A transition coming into the shallow history vertex is equivalent to a transition coming into the most recent active substate of a state. At most one transition may originate from the history connector to the default shallow history state. This transition is taken in case the composite state had never been active before. Entry actions of states entered on the path to the state represented by a shallow history are performed.

  See Also:
    `SHALLOW_HISTORY_LITERAL`, Constant Field Values

### JOIN

    public static final int JOIN

  The 'Join' literal value. Join vertices serve to merge several transitions emanating from source vertices in different orthogonal regions. The transitions entering a join vertex cannot have guards or triggers.

  See Also:
    `JOIN_LITERAL`, Constant Field Values

### FORK

    public static final int FORK

  The 'Fork' literal value. Fork vertices serve to split an incoming transition into two or more transitions terminating on orthogonal target vertices (i.e. vertices in different regions of a composite state). The segments outgoing from a fork vertex must not have guards or triggers.

  See Also:
    `FORK_LITERAL`, Constant Field Values

### JUNCTION

    public static final int JUNCTION

  The 'Junction' literal value. Junction vertices are semantic-free vertices that are used to chain together multiple transitions. They are used to construct compound transition paths between states. For example, a junction can be used to converge multiple incoming transitions into a single outgoing transition representing a shared transition path (this is known as an merge). Conversely, they can be used to split an incoming transition into multiple outgoing transition segments with different guard conditions. This realizes a static conditional branch. (In the latter case, outgoing transitions whose guard conditions evaluate to false are disabled. A predefined guard denoted 'else' may be defined for at most one outgoing transition. This transition is enabled if all the guards labeling the other transitions are false.) Static conditional branches are distinct from dynamic conditional branches that are realized by choice vertices (described below).

  See Also:
    `JUNCTION_LITERAL`, Constant Field Values

### CHOICE

    public static final int CHOICE

  The 'Choice' literal value. Choice vertices which, when reached, result in the dynamic evaluation of the guards of the triggers of its outgoing transitions. This realizes a dynamic conditional branch. It allows splitting of transitions into multiple outgoing paths such that the decision on which path to take may be a function of the results of prior actions performed in the same run-tocompletion step. If more than one of the guards evaluates to true, an arbitrary one is selected. If none of the guards evaluates to true, then the model is considered ill-formed. (To avoid this, it is recommended to define one outgoing transition with the predefined else guard for every choice vertex.) Choice vertices should be distinguished from static branch points that are based on junction points (described above).

  See Also:
    `CHOICE_LITERAL`, Constant Field Values

### ENTRY_POINT

    public static final int ENTRY_POINT

  The 'Entry Point' literal value. An entry point pseudostate is an entry point of a state machine or composite state. In each region of the state machine or composite state it has a single transition to a vertex within the same region.

  See Also:
    `ENTRY_POINT_LITERAL`, Constant Field Values

### EXIT_POINT

    public static final int EXIT_POINT

  The 'Exit Point' literal value. An exit point pseudostate is an exit point of a state machine or composite state. Entering an exit point within any region of the composite state or state machine referenced by a submachine state implies the exit of this composite state or submachine state and the triggering of the transition that has this exit point as source in the state machine enclosing the submachine or composite state.

  See Also:
    `EXIT_POINT_LITERAL`, Constant Field Values

### TERMINATE

    public static final int TERMINATE

  The 'Terminate' literal value. Entering a terminate pseudostate implies that the execution of this state machine by means of its context object is terminated. The state machine does not exit any states nor does it perform any exit actions other than those associated with the transition leading to the terminate pseudostate. Entering a terminate pseudostate is equivalent to invoking a DestroyObjectAction.

  See Also:
    `TERMINATE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<PseudostateKind> VALUES

  A public read-only list of all the 'Pseudostate Kind' enumerators.

Method Detail

### values

    public static final PseudostateKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PseudostateKind c : PseudostateKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PseudostateKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static PseudostateKind get(java.lang.String literal)

  Returns the 'Pseudostate Kind' literal with the specified literal value.

### getByName

    public static PseudostateKind getByName(java.lang.String name)

  Returns the 'Pseudostate Kind' literal with the specified name.

### get

    public static PseudostateKind get(int value)

  Returns the 'Pseudostate Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<PseudostateKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.